set top_name addressable_shift

set hdl_files {
  ../../src/VHDL/addressable_shift.vhd
  ../../src/VHDL/decoder.vhd
  ../../src/VHDL/multiplexer.vhd
  ../../src/VHDL/parallel_register.vhd
  ../../src/VHDL/register_macro.vhd
  ../../src/VHDL/shift_chain.vhd
 }

project new synth_proj
project set family virtex4
project set device xc4vfx12
project set package sf363
project set speed -10
foreach filename $hdl_files {
  xfile add $filename
  puts "Adding file $filename to the project."
}
process run "Synthesize - XST"
