---------------------------------------------------------------
--
--  Busmacro Package for Virtex-5
--
--
--  Eric Shiflet, Xilinx Inc.
--
--  August 20, 2007
--  
---------------------------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;
package busmacro_xc5v_pkg is

  component busmacro_xc5v_async is
    port (
      input0 : in std_logic;
      input1 : in std_logic;
      input2 : in std_logic;
      input3 : in std_logic;
      output0 : out std_logic;
      output1 : out std_logic;
      output2 : out std_logic;
      output3 : out std_logic
    );
  end component;

  component busmacro_xc5v_async_enable is
    port (
      input0 : in std_logic;
      input1 : in std_logic;
      input2 : in std_logic;
      input3 : in std_logic;
      enable0 : in std_logic;
      enable1 : in std_logic;
      enable2 : in std_logic;
      enable3 : in std_logic;
      output0 : out std_logic;
      output1 : out std_logic;
      output2 : out std_logic;
      output3 : out std_logic
    );
  end component;
  
end busmacro_xc5v_pkg;