////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2005 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /    Vendor: Xilinx
// \   \   \/     
//  \   \         
//  /   /         
// /___/   /\     
// \   \  /  \ 
//  \___\/\___\
//             
//             
// Purpose:    
//     This verilog netlist is a verification model and uses simulation 
//     primitives which may not represent the true implementation of the 
//     device, however the netlist is functionally correct and should not 
//     be modified. This file cannot be synthesized and should only be used 
//     with supported simulation tools.
//             
// Reference:  
//     Development System Reference Guide, Chapter 23
//     Synthesis and Simulation Design Guide, Chapter 6
//             
////////////////////////////////////////////////////////////////////////////////

`timescale 1 ns/1 ps

module busmacro_xc4v_b2t_async_narrow (
   input0, input1, input2, input3, input4, input5, input6, input7, output0, output1, output2, output3, output4, output5, output6, output7
);
  input input0;
  input input1;
  input input2;
  input input3;
  input input4;
  input input5;
  input input6;
  input input7;
  output output0;
  output output1;
  output output2;
  output output3;
  output output4;
  output output5;
  output output6;
  output output7;
  wire \simple_bus_macro/VCC1 ;
  wire \simple_bus_macro/simple_bus_macro_line0 ;
  wire \simple_bus_macro/simple_bus_macro_line1 ;
  wire \simple_bus_macro/simple_bus_macro_line2 ;
  wire \simple_bus_macro/simple_bus_macro_line3 ;
  wire \simple_bus_macro/simple_bus_macro_line4 ;
  wire \simple_bus_macro/simple_bus_macro_line5 ;
  wire \simple_bus_macro/simple_bus_macro_line6 ;
  wire \simple_bus_macro/simple_bus_macro_line7 ;
  defparam \simple_bus_macro/simple_bus_macro_slice0_G_LUT4 .INIT = 16'hAAAA;
  LUT4 \simple_bus_macro/simple_bus_macro_slice0_G_LUT4  (
    .I0(input0),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(\simple_bus_macro/simple_bus_macro_line0 )
  );
  defparam \simple_bus_macro/simple_bus_macro_slice0_F_LUT4 .INIT = 16'hAAAA;
  LUT4 \simple_bus_macro/simple_bus_macro_slice0_F_LUT4  (
    .I0(input1),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(\simple_bus_macro/simple_bus_macro_line4 )
  );
  defparam \simple_bus_macro/simple_bus_macro_slice1_G_LUT4 .INIT = 16'hAAAA;
  LUT4 \simple_bus_macro/simple_bus_macro_slice1_G_LUT4  (
    .I0(input2),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(\simple_bus_macro/simple_bus_macro_line1 )
  );
  defparam \simple_bus_macro/simple_bus_macro_slice1_F_LUT4 .INIT = 16'hAAAA;
  LUT4 \simple_bus_macro/simple_bus_macro_slice1_F_LUT4  (
    .I0(input3),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(\simple_bus_macro/simple_bus_macro_line5 )
  );
  defparam \simple_bus_macro/simple_bus_macro_slice2_G_LUT4 .INIT = 16'hAAAA;
  LUT4 \simple_bus_macro/simple_bus_macro_slice2_G_LUT4  (
    .I0(input4),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(\simple_bus_macro/simple_bus_macro_line6 )
  );
  defparam \simple_bus_macro/simple_bus_macro_slice2_F_LUT4 .INIT = 16'hAAAA;
  LUT4 \simple_bus_macro/simple_bus_macro_slice2_F_LUT4  (
    .I0(input5),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(\simple_bus_macro/simple_bus_macro_line2 )
  );
  defparam \simple_bus_macro/simple_bus_macro_slice3_G_LUT4 .INIT = 16'hAAAA;
  LUT4 \simple_bus_macro/simple_bus_macro_slice3_G_LUT4  (
    .I0(input6),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(\simple_bus_macro/simple_bus_macro_line7 )
  );
  defparam \simple_bus_macro/simple_bus_macro_slice3_F_LUT4 .INIT = 16'hAAAA;
  LUT4 \simple_bus_macro/simple_bus_macro_slice3_F_LUT4  (
    .I0(input7),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(\simple_bus_macro/simple_bus_macro_line3 )
  );
  defparam \simple_bus_macro/simple_bus_macro_slice4_G_LUT4 .INIT = 16'hFF00;
  LUT4 \simple_bus_macro/simple_bus_macro_slice4_G_LUT4  (
    .I0(\simple_bus_macro/VCC1 ),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/simple_bus_macro_line0 ),
    .O(output0)
  );
  defparam \simple_bus_macro/simple_bus_macro_slice4_F_LUT4 .INIT = 16'hAAAA;
  LUT4 \simple_bus_macro/simple_bus_macro_slice4_F_LUT4  (
    .I0(\simple_bus_macro/simple_bus_macro_line4 ),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(output1)
  );
  defparam \simple_bus_macro/simple_bus_macro_slice5_G_LUT4 .INIT = 16'hF0F0;
  LUT4 \simple_bus_macro/simple_bus_macro_slice5_G_LUT4  (
    .I0(\simple_bus_macro/VCC1 ),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/simple_bus_macro_line1 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(output2)
  );
  defparam \simple_bus_macro/simple_bus_macro_slice5_F_LUT4 .INIT = 16'hCCCC;
  LUT4 \simple_bus_macro/simple_bus_macro_slice5_F_LUT4  (
    .I0(\simple_bus_macro/VCC1 ),
    .I1(\simple_bus_macro/simple_bus_macro_line5 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(output3)
  );
  defparam \simple_bus_macro/simple_bus_macro_slice6_G_LUT4 .INIT = 16'hF0F0;
  LUT4 \simple_bus_macro/simple_bus_macro_slice6_G_LUT4  (
    .I0(\simple_bus_macro/VCC1 ),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/simple_bus_macro_line6 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(output4)
  );
  defparam \simple_bus_macro/simple_bus_macro_slice6_F_LUT4 .INIT = 16'hCCCC;
  LUT4 \simple_bus_macro/simple_bus_macro_slice6_F_LUT4  (
    .I0(\simple_bus_macro/VCC1 ),
    .I1(\simple_bus_macro/simple_bus_macro_line2 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(output5)
  );
  defparam \simple_bus_macro/simple_bus_macro_slice7_G_LUT4 .INIT = 16'hFF00;
  LUT4 \simple_bus_macro/simple_bus_macro_slice7_G_LUT4  (
    .I0(\simple_bus_macro/VCC1 ),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/VCC1 ),
    .I3(\simple_bus_macro/simple_bus_macro_line7 ),
    .O(output6)
  );
  defparam \simple_bus_macro/simple_bus_macro_slice7_F_LUT4 .INIT = 16'hF0F0;
  LUT4 \simple_bus_macro/simple_bus_macro_slice7_F_LUT4  (
    .I0(\simple_bus_macro/VCC1 ),
    .I1(\simple_bus_macro/VCC1 ),
    .I2(\simple_bus_macro/simple_bus_macro_line3 ),
    .I3(\simple_bus_macro/VCC1 ),
    .O(output7)
  );
  VCC \simple_bus_macro/Power  (
    .P(\simple_bus_macro/VCC1 )
  );
endmodule


`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

    wire GSR;
    wire GTS;
    wire PRLD;

    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (weak1, weak0) GSR = GSR_int;
    assign (weak1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule

