////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2005 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /    Vendor: Xilinx
// \   \   \/     
//  \   \         
//  /   /         
// /___/   /\     
// \   \  /  \ 
//  \___\/\___\
//             
//             
// Purpose:    
//     This verilog netlist is a verification model and uses simulation 
//     primitives which may not represent the true implementation of the 
//     device, however the netlist is functionally correct and should not 
//     be modified. This file cannot be synthesized and should only be used 
//     with supported simulation tools.
//             
// Reference:  
//     Development System Reference Guide, Chapter 23
//     Synthesis and Simulation Design Guide, Chapter 6
//             
////////////////////////////////////////////////////////////////////////////////

`timescale 1 ns/1 ps

module busmacro_xc4v_l2r_sync_narrow (
   clk0, clk1, clk2, clk3, ce0, ce1, ce2, ce3, input0, input1, input2, input3, 
input4, input5, input6, input7, output0, output1, output2, output3, output4, output5, output6, output7
);
  input clk0;
  input clk1;
  input clk2;
  input clk3;
  input ce0;
  input ce1;
  input ce2;
  input ce3;
  input input0;
  input input1;
  input input2;
  input input3;
  input input4;
  input input5;
  input input6;
  input input7;
  output output0;
  output output1;
  output output2;
  output output3;
  output output4;
  output output5;
  output output6;
  output output7;
  wire \bus_macro_instance/ff_line6 ;
  wire \bus_macro_instance/ff_line7 ;
  wire \bus_macro_instance/ff_line4 ;
  wire \bus_macro_instance/ff_line5 ;
  wire \bus_macro_instance/ff_line2 ;
  wire \bus_macro_instance/ff_line3 ;
  wire \bus_macro_instance/ff_line0 ;
  wire \bus_macro_instance/ff_line1 ;
  wire \bus_macro_instance/line7 ;
  wire \bus_macro_instance/line3 ;
  wire \bus_macro_instance/line6 ;
  wire \bus_macro_instance/line2 ;
  wire \bus_macro_instance/line1 ;
  wire \bus_macro_instance/line5 ;
  wire \bus_macro_instance/line0 ;
  wire \bus_macro_instance/line4 ;
  wire VCC1;
  wire GND;
  defparam \bus_macro_instance/slice0/G/LUT4 .INIT = 16'hAAAA;
  LUT4 \bus_macro_instance/slice0/G/LUT4  (
    .I0(input0),
    .I1(VCC1),
    .I2(VCC1),
    .I3(VCC1),
    .O(\bus_macro_instance/line0 )
  );
  defparam \bus_macro_instance/slice0/F/LUT4 .INIT = 16'hAAAA;
  LUT4 \bus_macro_instance/slice0/F/LUT4  (
    .I0(input1),
    .I1(VCC1),
    .I2(VCC1),
    .I3(VCC1),
    .O(\bus_macro_instance/line4 )
  );
  defparam \bus_macro_instance/slice1/G/LUT4 .INIT = 16'hAAAA;
  LUT4 \bus_macro_instance/slice1/G/LUT4  (
    .I0(input2),
    .I1(VCC1),
    .I2(VCC1),
    .I3(VCC1),
    .O(\bus_macro_instance/line1 )
  );
  defparam \bus_macro_instance/slice1/F/LUT4 .INIT = 16'hAAAA;
  LUT4 \bus_macro_instance/slice1/F/LUT4  (
    .I0(input3),
    .I1(VCC1),
    .I2(VCC1),
    .I3(VCC1),
    .O(\bus_macro_instance/line5 )
  );
  defparam \bus_macro_instance/slice2/G/LUT4 .INIT = 16'hAAAA;
  LUT4 \bus_macro_instance/slice2/G/LUT4  (
    .I0(input4),
    .I1(VCC1),
    .I2(VCC1),
    .I3(VCC1),
    .O(\bus_macro_instance/line6 )
  );
  defparam \bus_macro_instance/slice2/F/LUT4 .INIT = 16'hAAAA;
  LUT4 \bus_macro_instance/slice2/F/LUT4  (
    .I0(input5),
    .I1(VCC1),
    .I2(VCC1),
    .I3(VCC1),
    .O(\bus_macro_instance/line2 )
  );
  defparam \bus_macro_instance/slice3/G/LUT4 .INIT = 16'hAAAA;
  LUT4 \bus_macro_instance/slice3/G/LUT4  (
    .I0(input6),
    .I1(VCC1),
    .I2(VCC1),
    .I3(VCC1),
    .O(\bus_macro_instance/line7 )
  );
  defparam \bus_macro_instance/slice3/F/LUT4 .INIT = 16'hAAAA;
  LUT4 \bus_macro_instance/slice3/F/LUT4  (
    .I0(input7),
    .I1(VCC1),
    .I2(VCC1),
    .I3(VCC1),
    .O(\bus_macro_instance/line3 )
  );
  defparam \bus_macro_instance/slice4/G/LUT4 .INIT = 16'hFF00;
  LUT4 \bus_macro_instance/slice4/G/LUT4  (
    .I0(VCC1),
    .I1(VCC1),
    .I2(VCC1),
    .I3(\bus_macro_instance/line0 ),
    .O(\bus_macro_instance/ff_line0 )
  );
  defparam \bus_macro_instance/slice4/FFY/ASYNC_FF .INIT = 1'b0;
  FDCE \bus_macro_instance/slice4/FFY/ASYNC_FF  (
    .D(\bus_macro_instance/ff_line0 ),
    .CE(ce0 ),
    .C(clk0 ),
    .CLR(GND),
    .Q(output0)
  );
  defparam \bus_macro_instance/slice4/F/LUT4 .INIT = 16'hAAAA;
  LUT4 \bus_macro_instance/slice4/F/LUT4  (
    .I0(\bus_macro_instance/line4 ),
    .I1(VCC1),
    .I2(VCC1),
    .I3(VCC1),
    .O(\bus_macro_instance/ff_line1 )
  );
  defparam \bus_macro_instance/slice4/FFX/ASYNC_FF .INIT = 1'b0;
  FDCE \bus_macro_instance/slice4/FFX/ASYNC_FF  (
    .D(\bus_macro_instance/ff_line1 ),
    .CE(ce0 ),
    .C(clk0 ),
    .CLR(GND),
    .Q(output1)
  );
  defparam \bus_macro_instance/slice5/G/LUT4 .INIT = 16'hF0F0;
  LUT4 \bus_macro_instance/slice5/G/LUT4  (
    .I0(VCC1),
    .I1(VCC1),
    .I2(\bus_macro_instance/line1 ),
    .I3(VCC1),
    .O(\bus_macro_instance/ff_line2 )
  );
  defparam \bus_macro_instance/slice5/FFY/ASYNC_FF .INIT = 1'b0;
  FDCE \bus_macro_instance/slice5/FFY/ASYNC_FF  (
    .D(\bus_macro_instance/ff_line2 ),
    .CE(ce1 ),
    .C(clk1 ),
    .CLR(GND),
    .Q(output2)
  );
  defparam \bus_macro_instance/slice5/F/LUT4 .INIT = 16'hCCCC;
  LUT4 \bus_macro_instance/slice5/F/LUT4  (
    .I0(VCC1),
    .I1(\bus_macro_instance/line5 ),
    .I2(VCC1),
    .I3(VCC1),
    .O(\bus_macro_instance/ff_line3 )
  );
  defparam \bus_macro_instance/slice5/FFX/ASYNC_FF .INIT = 1'b0;
  FDCE \bus_macro_instance/slice5/FFX/ASYNC_FF  (
    .D(\bus_macro_instance/ff_line3 ),
    .CE(ce1 ),
    .C(clk1 ),
    .CLR(GND),
    .Q(output3)
  );
  defparam \bus_macro_instance/slice6/G/LUT4 .INIT = 16'hF0F0;
  LUT4 \bus_macro_instance/slice6/G/LUT4  (
    .I0(VCC1),
    .I1(VCC1),
    .I2(\bus_macro_instance/line6 ),
    .I3(VCC1),
    .O(\bus_macro_instance/ff_line4 )
  );
  defparam \bus_macro_instance/slice6/FFY/ASYNC_FF .INIT = 1'b0;
  FDCE \bus_macro_instance/slice6/FFY/ASYNC_FF  (
    .D(\bus_macro_instance/ff_line4 ),
    .CE(ce2 ),
    .C(clk2 ),
    .CLR(GND),
    .Q(output4)
  );
  defparam \bus_macro_instance/slice6/F/LUT4 .INIT = 16'hCCCC;
  LUT4 \bus_macro_instance/slice6/F/LUT4  (
    .I0(VCC1),
    .I1(\bus_macro_instance/line2 ),
    .I2(VCC1),
    .I3(VCC1),
    .O(\bus_macro_instance/ff_line5 )
  );
  defparam \bus_macro_instance/slice6/FFX/ASYNC_FF .INIT = 1'b0;
  FDCE \bus_macro_instance/slice6/FFX/ASYNC_FF  (
    .D(\bus_macro_instance/ff_line5 ),
    .CE(ce2 ),
    .C(clk2 ),
    .CLR(GND),
    .Q(output5)
  );
  defparam \bus_macro_instance/slice7/G/LUT4 .INIT = 16'hFF00;
  LUT4 \bus_macro_instance/slice7/G/LUT4  (
    .I0(VCC1),
    .I1(VCC1),
    .I2(VCC1),
    .I3(\bus_macro_instance/line7 ),
    .O(\bus_macro_instance/ff_line6 )
  );
  defparam \bus_macro_instance/slice7/FFY/ASYNC_FF .INIT = 1'b0;
  FDCE \bus_macro_instance/slice7/FFY/ASYNC_FF  (
    .D(\bus_macro_instance/ff_line6 ),
    .CE(ce3 ),
    .C(clk3 ),
    .CLR(GND),
    .Q(output6)
  );
  defparam \bus_macro_instance/slice7/F/LUT4 .INIT = 16'hF0F0;
  LUT4 \bus_macro_instance/slice7/F/LUT4  (
    .I0(VCC1),
    .I1(VCC1),
    .I2(\bus_macro_instance/line3 ),
    .I3(VCC1),
    .O(\bus_macro_instance/ff_line7 )
  );
  defparam \bus_macro_instance/slice7/FFX/ASYNC_FF .INIT = 1'b0;
  FDCE \bus_macro_instance/slice7/FFX/ASYNC_FF  (
    .D(\bus_macro_instance/ff_line7 ),
    .CE(ce3 ),
    .C(clk3 ),
    .CLR(GND),
    .Q(output7)
  );
  VCC NlwBlock_top_VCC1 (
    .P(VCC1)
  );
endmodule


`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

    wire GSR;
    wire GTS;
    wire PRLD;

    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (weak1, weak0) GSR = GSR_int;
    assign (weak1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule

