library IEEE;
use IEEE.STD_LOGIC_1164.all;
entity addr_decoder is
	port(
		addr			: in  std_logic;
		output			: out std_logic_vector(1 downto 0)
	);
end addr_decoder;

architecture RTL of addr_decoder is
begin
DECODE_PROC : process(addr) is 
begin
	case addr is
		when '0' =>
			output <= "01";
		when '1' =>
			output <= "10";
		when others =>
			output <= (others => '0');
	end case;
end process DECODE_PROC;

end architecture RTL;
