library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity reconfigurable_module is
	port (
	 in_16    : in   std_logic_vector(0 to 15);
	 out_16   : out  std_logic_vector(0 to 15)
	);
end entity reconfigurable_module;

architecture arch of reconfigurable_module is
begin
	

	out_16(0 to 7) <= in_16(0 to 7) - in_16(8 to 15);
	out_16(8 to 15) <= (others => '0');
	--
	
end arch;