
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

public class serialRO {

public static void main(String [] args) throws IOException{

		if(args.length < 1){
			return;
		}
		int numReg = Integer.parseInt(args[0]);

		if(numReg <1){
			return;
		}

		int addrSize = (int) Math.ceil(Math.log10(numReg)/Math.log10(2));

		FileReader fstream1 = new FileReader("addressable_shift.vhd");
		BufferedReader in = new BufferedReader(fstream1);

		FileWriter fstream2 = new FileWriter("../VHDL/addressable_shift.vhd");
		BufferedWriter out = new BufferedWriter(fstream2);

		String line;
		boolean first = true;
		while((line =in.readLine()) != null){
			if(line.contains("generic") && first){
				first = false;
				out.write("generic(\n");
				out.write("constant C_REG_SIZE : natural := 8;\n");
				out.write("constant C_NUM_REG : natural :="+numReg+";\n");
				out.write("constant C_NUM_CHAINS : natural :=2;\n");
				out.write("constant C_ADDR_BITS : natural :=1 \n");

				out.write(");\n");
				while(!line.contains(");")){
					line = in.readLine();
				}
			}
			else{
				out.write(line+"\n");
			}


		}
		in.close();
		out.close();
	}
}
