-------------------------------------------------------------------------------
--
-- Title       : Decoder
-- Design      : tcl
-- Author      : Vegard
-- Company     : NTNU
-- Description : 
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.std_logic_unsigned.all;

entity decoder is
	generic(
		C_INPUT_SIZE : natural :=3;
		C_OUTPUT_SIZE : natural :=8
	);
	port(
		signal input 	: in  std_logic_vector(C_INPUT_SIZE-1 downto 0);
		signal output	: out std_logic_vector(C_OUTPUT_SIZE-1 downto 0)
	);
end decoder;

--}} End of automatically maintained section

architecture RTL of decoder is
begin
	
	DECODE_PROC : process(input) is
	begin
		for i in 0 to C_OUTPUT_SIZE-1 loop
			if input = i then
				output(i)<='1';
			else
				output(i)<='0';
			end if;
		end loop;
		
	end process DECODE_PROC;
	

end RTL	;
