/********************************************************
*File			: memory.h
*Author			: Vegard Endresen
*Description	: Header for memory allocation kernel.
*********************************************************/

#ifndef MEMORY_H
#define MEMORY_H

/*Public functions, can be reduced as not all are neccessary*/

int  allocate(int size,int *addr);
void freeMem(int id);

void dmemInit(int bram_size);
void dmemCleanUp();

int instrWrite(int id,char *buf,int size);
int dataWrite(int id,char *buf,int addr,int size);
int dataRead(int id, char *buf,int addr,int size);

void printDescriptors();

#endif
